package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("menu_dishes_step_detail")
@ApiModel(
   value = "MenuDishesStepDetail对象",
   description = ""
)
public class MenuDishesStepDetail implements Serializable {
   private static final long serialVersionUID = 1L;
   private Integer id;
   private Long stepId;
   @ApiModelProperty("原料步骤Id")
   private Long functionId;
   @ApiModelProperty("步骤数")
   private Integer stepNo;
   @ApiModelProperty("开始时长范围")
   private Double stepTimeStart;
   @ApiModelProperty("结束时长范围")
   private Double stepTimeEnd;

   public Integer getId() {
      return this.id;
   }

   public Long getStepId() {
      return this.stepId;
   }

   public Long getFunctionId() {
      return this.functionId;
   }

   public Integer getStepNo() {
      return this.stepNo;
   }

   public Double getStepTimeStart() {
      return this.stepTimeStart;
   }

   public Double getStepTimeEnd() {
      return this.stepTimeEnd;
   }

   public MenuDishesStepDetail setId(final Integer id) {
      this.id = id;
      return this;
   }

   public MenuDishesStepDetail setStepId(final Long stepId) {
      this.stepId = stepId;
      return this;
   }

   public MenuDishesStepDetail setFunctionId(final Long functionId) {
      this.functionId = functionId;
      return this;
   }

   public MenuDishesStepDetail setStepNo(final Integer stepNo) {
      this.stepNo = stepNo;
      return this;
   }

   public MenuDishesStepDetail setStepTimeStart(final Double stepTimeStart) {
      this.stepTimeStart = stepTimeStart;
      return this;
   }

   public MenuDishesStepDetail setStepTimeEnd(final Double stepTimeEnd) {
      this.stepTimeEnd = stepTimeEnd;
      return this;
   }
}
